
Foreman - Bug #6868

Login in foreman 

07/31/2014 12:52 PM - Douglas Brancaglion

Status: Resolved   

Priority: High   

Assignee:    

Category: Authentication   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.5.2

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Hi, i use mysqlDB in my foreman setup, but i receive that messages when i try to login:

ActiveRecord::AssociationTypeMismatch

Role(#56476060) expected, got NilClass(#7624920)

app/models/user.rb:206:in `block in post_successful_login'

app/models/concerns/foreman/thread_session.rb:72:in `as'

app/models/user.rb:203:in `post_successful_login'

app/models/user.rb:194:in `try_to_login'

app/controllers/users_controller.rb:72:in `login'

app/models/concerns/foreman/thread_session.rb:33:in `clear_thread'

lib/middleware/catch_json_parse_errors.rb:9:in `call'

History

#1 - 07/31/2014 03:15 PM - Ohad Levy

- Status changed from New to Feedback

Can you try running foreman-rake db:migrate followed by a foreman-rake db:seed?

#2 - 07/31/2014 04:12 PM - Douglas Brancaglion

I had not run the rake db: seed, after that everything was ok!

But I still have another problem: The foreman recognizes the class created in the / etc / puppet / environments / production / modules / likewise

But I edit the node for foreman and likewise include the class, but when I run the puppet client it gives this error message:

Error: Could not retrieve catalog from remote server: Error 400 on SERVER: Could not find class is likewise client.mydomain.domain on node

client.mydomain.domain

Warning: Not using cache on failed catalog

Error: Could not retrieve catalog; skipping run

#3 - 07/31/2014 05:12 PM - Douglas Brancaglion

Ohad, runs like a charm now! please disregard the last message (module topology)!

Tks

#4 - 08/01/2014 02:31 AM - Dominic Cleal

- Status changed from Feedback to Resolved

Glad it's working!
